package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MessageNotice;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MessageNoticeService {
	MessageNotice get(String id);
	boolean exist(String id);
	int insert(MessageNotice model);
	int update(MessageNotice model);
	int delete(String id);
	List<MessageNotice> list();
	Page<MessageNotice> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<MessageNotice> pageSearchShort(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	List<MessageNotice> findByClassify(String classify, String id);
}